%define upstream_name    Devel-Declare
%define upstream_version 0.006022

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6
Epoch:      1

Summary:    Adding keywords to perl, in perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

%{?perl_default_filter}
BuildRequires: perl(B::Hooks::EndOfScope) >= 0.50.0
BuildRequires: perl(B::Hooks::OP::Check) >= 0.190.0
BuildRequires: perl(ExtUtils::Depends) >= 0.302.0
BuildRequires: perl(Scalar::Util) >= 1.110.0
BuildRequires: perl(Sub::Name)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl-devel
%description
Devel::Declare can install subroutines called declarators which locally
take over Perl's parser, allowing the creation of new syntax.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/Devel
%perl_vendorarch/auto/Devel


%changelog
* Thu Nov 30 2023 tv <tv> 1:0.6.22-6.mga10
+ Revision: 2011575
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1:0.6.22-5.mga9
+ Revision: 1861780
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1:0.6.22-4.mga9
+ Revision: 1796313
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1:0.6.22-3.mga9
+ Revision: 1726551
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1:0.6.22-2.mga8
+ Revision: 1594534
- Rebuild for perl 5.32

* Mon Apr 27 2020 tv <tv> 1:0.6.22-1.mga8
+ Revision: 1572375
- update to 0.006022

* Sun Feb 16 2020 umeabot <umeabot> 1:0.6.19-8.mga8
+ Revision: 1529453
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1:0.6.19-7.mga8
+ Revision: 1433512
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1:0.6.19-6.mga7
+ Revision: 1292759
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1:0.6.19-5.mga7
+ Revision: 1250090
- Rebuild for perl 5.28
+ shlomif <shlomif>
- Rebuild for new perl 5.28.0

* Mon Oct 02 2017 tv <tv> 1:0.6.19-3.mga7
+ Revision: 1164057
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1:0.6.19-2.mga7
+ Revision: 1149615
- Rebuild for perl ABI changes

* Sat Jul 22 2017 shlomif <shlomif> 1:0.6.19-1.mga7
+ Revision: 1127920
- New version 0.006019 + spec modernize
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1:0.6.18-4.mga6
+ Revision: 1025502
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1:0.6.18-3.mga6
+ Revision: 957144
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1:0.6.18-2.mga6
+ Revision: 844857
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1:0.6.18-1.mga6
+ Revision: 841344
- New version 0.006018 + Rebuild for the new perl-5.22.0

* Sun Oct 19 2014 umeabot <umeabot> 1:0.6.16-6.mga5
+ Revision: 790717
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1:0.6.16-5.mga5
+ Revision: 746516
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1:0.6.16-4.mga5
+ Revision: 735556
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1:0.6.16-3.mga5
+ Revision: 684313
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 1:0.6.16-2.mga5
+ Revision: 632228
- perl 5.20.0 rebuild

* Tue Apr 15 2014 jquelin <jquelin> 1:0.6.16-1.mga5
+ Revision: 614707
- update to 0.006016

* Mon Feb 10 2014 jquelin <jquelin> 1:0.6.15-1.mga5
+ Revision: 588352
- update to 0.006015

* Sat Oct 19 2013 umeabot <umeabot> 1:0.6.14-2.mga4
+ Revision: 530324
- Mageia 4 Mass Rebuild

* Mon Jul 22 2013 sander85 <sander85> 1:0.6.14-1.mga4
+ Revision: 457124
- update to 0.006014

* Wed Jun 26 2013 jquelin <jquelin> 1:0.6.13-1.mga4
+ Revision: 446891
- update to 0.006013

* Wed May 29 2013 jquelin <jquelin> 1:0.6.11-4.mga4
+ Revision: 431187
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:0.6.11-3.mga3
+ Revision: 365727
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1:0.6.11-2.mga3
+ Revision: 250509
- rebuild for perl 5.16

* Thu Feb 23 2012 jquelin <jquelin> 1:0.6.11-1.mga2
+ Revision: 212750
- update to 0.006011

* Tue Nov 08 2011 jquelin <jquelin> 1:0.6.8-1.mga2
+ Revision: 165429
- remove MYMETA from %%doc
- remove MYMETA.json from %%doc
- update to 0.006008

* Mon Sep 26 2011 jquelin <jquelin> 1:0.6.7-1.mga2
+ Revision: 148038
- update to 0.006007
- update to 0.006006

* Fri Jul 08 2011 jquelin <jquelin> 1:0.6.5-1.mga2
+ Revision: 120376
- update to 0.006005

* Wed Jun 15 2011 jquelin <jquelin> 1:0.6.4-1.mga2
+ Revision: 106805
- update to 0.006004

* Sat Jun 11 2011 sander85 <sander85> 1:0.6.3-2.mga2
+ Revision: 104165
- perl 5.14

* Tue Apr 12 2011 jquelin <jquelin> 1:0.6.3-1.mga1
+ Revision: 83750
- update to 0.006003

* Mon Apr 11 2011 jquelin <jquelin> 1:0.6.2-1.mga1
+ Revision: 83346
- update to 0.006002

* Sat Feb 26 2011 jquelin <jquelin> 1:0.6.1-1.mga1
+ Revision: 60788
- update to 0.006001

* Sun Jan 23 2011 jquelin <jquelin> 1:0.6.0-3.mga1
+ Revision: 33710
- mageia rebuild
- imported package perl-Devel-Declare

